# Uses of Enum
org.eclipse.birt.chart.model.attribute.LineDecorator

Packages that use LineDecorator
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of LineDecorator in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type LineDecorator
Modifier and Type
Field
Description
`static final List<LineDecorator>`
LineDecorator.`VALUES`
A public read-only list of all the 'Line Decorator' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return LineDecorator
Modifier and Type
Method
Description
`static LineDecorator`
LineDecorator.`get(int value)`
Returns the 'Line Decorator' literal with the specified integer value.
`static LineDecorator`
LineDecorator.`get(String literal)`
Returns the 'Line Decorator' literal with the specified literal value.
`static LineDecorator`
LineDecorator.`getByName(String name)`
Returns the 'Line Decorator' literal with the specified name.
`static LineDecorator`
LineDecorator.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LineDecorator[]`
LineDecorator.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of LineDecorator in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return LineDecorator
Modifier and Type
Method
Description
`LineDecorator`
AttributeFactoryImpl.`createLineDecoratorFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LineDecorator`
AttributeFactoryImpl.`createLineDecoratorObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of LineDecorator in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return LineDecorator
Modifier and Type
Method
Description
`LineDecorator`
Needle.`getDecorator()`
Returns the value of the 'Decorator' attribute.
Methods in org.eclipse.birt.chart.model.component with parameters of type LineDecorator
Modifier and Type
Method
Description
`void`
Needle.`setDecorator(LineDecorator value)`
Sets the value of the '`Decorator`' attribute.

## Uses of LineDecorator in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return LineDecorator
Modifier and Type
Method
Description
`LineDecorator`
NeedleImpl.`getDecorator()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type LineDecorator
Modifier and Type
Method
Description
`void`
NeedleImpl.`setDecorator(LineDecorator newDecorator)`